aboutsummaryrefslogtreecommitdiffstats
path: root/packages/cortexa57-poky-linux/at/at
diff options
context:
space:
mode:
Diffstat (limited to 'packages/cortexa57-poky-linux/at/at')
-rw-r--r--packages/cortexa57-poky-linux/at/at/latest9
-rw-r--r--packages/cortexa57-poky-linux/at/at/latest.pkg_postinst24
-rw-r--r--packages/cortexa57-poky-linux/at/at/latest.pkg_prerm9
3 files changed, 42 insertions, 0 deletions
diff --git a/packages/cortexa57-poky-linux/at/at/latest b/packages/cortexa57-poky-linux/at/at/latest
new file mode 100644
index 00000000000..f703798dfaf
--- /dev/null
+++ b/packages/cortexa57-poky-linux/at/at/latest
@@ -0,0 +1,9 @@
+PV = 3.2.5
+PR = r0
+RPROVIDES =
+RDEPENDS = glibc (>= 2.36) libpam (>= 1.5.2) libpam-runtime pam-plugin-env pam-plugin-limits
+RRECOMMENDS =
+RCONFLICTS = atd
+PKGSIZE = 136139
+FILES = /usr/bin/* /usr/sbin/* /usr/libexec/* /usr/lib/lib*.so.* /etc /com /var /bin/* /sbin/* /lib/*.so.* /lib/udev /usr/lib/udev /lib/udev /usr/lib/udev /usr/share/at /usr/lib/at/* /usr/share/pixmaps /usr/share/applications /usr/share/idl /usr/share/omf /usr/share/sounds /usr/lib/bonobo/servers /lib/systemd/system-preset/98-at.preset /lib/systemd/system/atd.service
+FILELIST = /etc/at.deny /etc/pam.d/atd /lib/systemd/system-preset/98-at.preset /lib/systemd/system/atd.service /usr/bin/at /usr/bin/atq /usr/bin/atrm /usr/bin/batch /usr/sbin/atd /usr/sbin/atrun /var/spool/at/jobs/.SEQ
diff --git a/packages/cortexa57-poky-linux/at/at/latest.pkg_postinst b/packages/cortexa57-poky-linux/at/at/latest.pkg_postinst
new file mode 100644
index 00000000000..c164c4ca3e7
--- /dev/null
+++ b/packages/cortexa57-poky-linux/at/at/latest.pkg_postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ OPTS=""
+
+ if [ -n "$D" ]; then
+ OPTS="--root=$D"
+ fi
+
+ if [ "enable" = "enable" ]; then
+ for service in atd.service; do
+ systemctl ${OPTS} enable "$service"
+ done
+ fi
+
+ if [ -z "$D" ]; then
+ systemctl daemon-reload
+ systemctl preset atd.service
+
+ if [ "enable" = "enable" ]; then
+ systemctl --no-block restart atd.service
+ fi
+ fi
+fi
diff --git a/packages/cortexa57-poky-linux/at/at/latest.pkg_prerm b/packages/cortexa57-poky-linux/at/at/latest.pkg_prerm
new file mode 100644
index 00000000000..85c0f8afa5d
--- /dev/null
+++ b/packages/cortexa57-poky-linux/at/at/latest.pkg_prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ if [ -z "$D" ]; then
+ systemctl stop atd.service
+
+ systemctl disable atd.service
+ fi
+fi